tut::group_base Struct Referenceabstract

Interface. More...

`#include <tut.h>`

Inheritance diagram for tut::group_base:
[legend]

## Public Member Functions

virtual | ~group_base ()
virtual void | rewind ()=0
virtual test_result | run_next ()=0
virtual test_result | run_test (int n)=0

## Detailed Description

Interface.

Test group operations.

## Constructor & Destructor Documentation

## ~group_base()

virtual tut::group_base::~group_base | ( |  | ) |

inline virtual

## Member Function Documentation

## rewind()

virtual void tut::group_base::rewind | ( |  | ) |

pure virtual

Implemented in tut::test_group< Data, MaxTestsInGroup >.

## run_next()

virtual test_result tut::group_base::run_next | ( |  | ) |

pure virtual

Implemented in tut::test_group< Data, MaxTestsInGroup >.

## run_test()

virtual test_result tut::group_base::run_test | ( | int | n | ) |

pure virtual

Implemented in tut::test_group< Data, MaxTestsInGroup >.

The documentation for this struct was generated from the following file:

- tut.h